> ## Documentation Index
> Fetch the complete documentation index at: https://checkly-422f444a-mda-troubleshooting-section.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post accounts aiagentsstream



## OpenAPI

````yaml api-reference/openapi.json post /accounts/{accountId}/ai/agents/stream
openapi: 3.0.0
info:
  title: Checkly Public API
  version: v1
  description: >-
    These are the docs for the newly released Checkly Public API.<br />If you
    have any questions, please do not hesitate to get in touch with us.
servers:
  - url: https://api.checklyhq.com
security:
  - Bearer: []
tags: []
paths:
  /accounts/{accountId}/ai/agents/stream:
    post:
      operationId: postAccountsAccountidAiAgentsStream
      parameters:
        - name: accountId
          in: path
          schema:
            type: string
            x-format:
              guid: true
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Model2'
      responses:
        default:
          description: Successful
          content:
            application/json:
              schema:
                type: string
components:
  schemas:
    Model2:
      type: object
      properties:
        messages:
          $ref: '#/components/schemas/messages'
        agent:
          $ref: '#/components/schemas/agent'
      required:
        - messages
    messages:
      type: array
      minItems: 1
      items:
        $ref: '#/components/schemas/Model1'
    agent:
      type: string
      default: basic
      enum:
        - basic
        - checkly_config_generator
        - playwright_check_generator
    Model1:
      type: object
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: Bearer
      description: >-
        The Checkly Public API uses API keys to authenticate requests. You can
        get the API Key
        [here](https://app.checklyhq.com/settings/user/api-keys). Your API key
        is like a password:  keep it secure!

        Authentication to the API is performed using the Bearer auth method in
        the Authorization header and using the account ID.

        For example, set **Authorization** header while using cURL: `curl -H
        "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"` 

````